[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoConstraintsChange

Performs actions needed when value(s) in Constraints have been changed.

## Declaration

Source position: controls.pp line 1369

`protected procedure TControl.DoConstraintsChange(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | Not used in the method.

## Description

DoConstraintsChange calls AdjustSize to ensure that the control and any children are sized and positioned to the new Constraints for the control. The method is overridden in descendent classes, like TWinControl, to perform actions needed for the class instance.

Called from the TSizeConstraints.Change method before it signals the OnChange event handler in the constraints class instance.

## See also

TWinControl.DoConstraintsChange |  | Notifies the widgetset class instance when Constraints are changed.